channel.h File Reference

Definition of socket classes for different underlying transport and/or network protocols that can be used to instantiate the TRTPSessionBase template. More...

`#include <ccrtp/base.h>`
`#include <commoncpp/socket.h>`
`#include <sys/ioctl.h>`

Go to the source code of this file.

## Classes

class | RTPBaseUDPIPv4Socket
| A UDP/IPv4 socket class targeted at RTP stacks. More...
class | DualRTPChannel< BaseSocket >

## Typedefs

typedef DualRTPChannel < RTPBaseUDPIPv4Socket > | DualRTPUDPIPv4Channel
typedef RTPBaseUDPIPv4Socket | SingleRTPChannel
| May be used in applications where using the same socket for both sending and receiving is not a limitation. More...
typedef SingleRTPChannel | SymmetricRTPChannel
| Actually, RTP with a single channel can be called 'Symmetric RTP'. More...

## Functions

size_t | ccioctl (int so, int request, size_t &len)

## Detailed Description

Definition of socket classes for different underlying transport and/or network protocols that can be used to instantiate the TRTPSessionBase template.

## Function Documentation

size_t ccioctl | ( | int | so,
|  | int | request,
|  | size_t & | len
| ) |  |

inline